


/* Estilos para botón flotante */
.floatingButtonContainer {
  position: fixed;
  bottom: 15vh;
  right: 20px;
  z-index: 1000;
}

.floatingButton {
  display: flex;
  align-items: center;
  background-color: black;
  border: none;
  border-radius: 30px;
  padding: 12px 20px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  transition: all 0.3s ease;
  color: var(--color-text-primary);
}

.hamburgerIcon {
  font-size: 24px;
  margin-right: 12px;
  color: var(--color-accent);
  display: flex;
  align-items: center;
  justify-content: center;
}

.floatingInfo {
  text-align: left;
}

.floatingTitle {
  font-weight: 600;
  font-size: 14px;
  margin-bottom: 2px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 150px;
}

.floatingSubtitle {
  font-size: 12px;
  opacity: 0.8;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 150px;
}


:global(.light-theme) .floatingButton{background-color: rgb(240, 244, 253);color: rgb(0, 0, 0);}